Advance Orders

GTT OrderBook

GET
/api/oms/orders/gtt

to get the list of pending gtt, oco orders orders

Header Parameters

Authorization*string

Access token in the following format:

Bearer <api_key>:<access_token>

Both values are required. The api_key is your app credential from the Apps Section. The access_token is obtained from the authentication endpoint and is valid for 24 hours.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/oms/orders/gtt" \  -H "Authorization: Bearer <api Key>:<access token>"
{
  "s": "ok",
  "d": [
    {
      "symId": "EQT_RELIANCE_EQ_NSE",
      "exchange": "NSE",
      "orderId": "210115000000004",
      "side": "b",
      "triggerType": "single"
    }
  ]
}
{
  "s": "error",
  "msg": "Unauthorized"
}
{
  "s": "error",
  "msg": "Too many requests"
}
{
  "s": "error",
  "msg": "Internal server error"
}